curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"uri": "<string>",
"curatorDid": "<string>",
"curatorHandle": "<string>",
"curatorName": "<string>",
"curatorAvatarUrl": "<string>",
"description": "<string>",
"coverImageUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"tracks": [
{
"id": "<string>",
"title": "<string>",
"artist": "<string>",
"albumArtist": "<string>",
"albumArt": "<string>",
"uri": "<string>",
"album": "<string>",
"duration": 123,
"trackNumber": 123,
"discNumber": 123,
"playCount": 1,
"likesCount": 1,
"liked": true,
"uniqueListeners": 1,
"albumUri": "<string>",
"artistUri": "<string>",
"sha256": "<string>",
"mbid": "<string>",
"isrc": "<string>",
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "<string>",
"mbId": "<string>",
"youtubeLink": "<string>",
"spotifyLink": "<string>",
"appleMusicLink": "<string>",
"tidalLink": "<string>",
"lyrics": "<string>",
"composer": "<string>",
"genre": "<string>",
"label": "<string>",
"copyrightMessage": "<string>",
"key": "<string>",
"acoustidFingerprint": "<string>",
"xataVersion": 123,
"bpm": 123
}
],
"curatorDId": "<string>",
"updatedAt": "<string>",
"trackCount": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Retrieve a playlist by its ID
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"uri": "<string>",
"curatorDid": "<string>",
"curatorHandle": "<string>",
"curatorName": "<string>",
"curatorAvatarUrl": "<string>",
"description": "<string>",
"coverImageUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"tracks": [
{
"id": "<string>",
"title": "<string>",
"artist": "<string>",
"albumArtist": "<string>",
"albumArt": "<string>",
"uri": "<string>",
"album": "<string>",
"duration": 123,
"trackNumber": 123,
"discNumber": 123,
"playCount": 1,
"likesCount": 1,
"liked": true,
"uniqueListeners": 1,
"albumUri": "<string>",
"artistUri": "<string>",
"sha256": "<string>",
"mbid": "<string>",
"isrc": "<string>",
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "<string>",
"mbId": "<string>",
"youtubeLink": "<string>",
"spotifyLink": "<string>",
"appleMusicLink": "<string>",
"tidalLink": "<string>",
"lyrics": "<string>",
"composer": "<string>",
"genre": "<string>",
"label": "<string>",
"copyrightMessage": "<string>",
"key": "<string>",
"acoustidFingerprint": "<string>",
"xataVersion": 123,
"bpm": 123
}
],
"curatorDId": "<string>",
"updatedAt": "<string>",
"trackCount": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Rocksky bearer token.
Query Parameters
The URI of the playlist to retrieve.
RSQL filter expression applied to the playlist's tracks, e.g. artist=="Daft Punk";duration=gt=200000. Supports ==, !=, <, <=, >, >=, =in=, =out=, and ;/and, ,/or combinators, * wildcards in string values. Filterable fields: title, artist, album, albumArtist, genre, composer, label, duration, trackNumber, discNumber, mbId, isrc, sha256, uri, albumUri, artistUri, addedAt
2048Response
Success
Detailed view of a playlist, including its tracks and metadata
The unique identifier of the playlist.
The title of the playlist.
The URI of the playlist.
The DID of the curator of the playlist.
The handle of the curator of the playlist.
The name of the curator of the playlist.
The URL of the avatar image of the curator.
A description of the playlist.
The URL of the cover image for the playlist.
The date and time when the playlist was created.
A list of tracks in the playlist.
Show child attributes
Show child attributes